document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const menuBtn = document.querySelector('.mobile-menu-btn');
  const navLinks = document.querySelector('.nav-links');

  menuBtn.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    const spans = menuBtn.querySelectorAll('span');
    spans[0].style.transform = navLinks.classList.contains('active') ? 
      'rotate(45deg) translate(8px, 8px)' : 'none';
    spans[1].style.opacity = navLinks.classList.contains('active') ? '0' : '1';
    spans[2].style.transform = navLinks.classList.contains('active') ? 
      'rotate(-45deg) translate(7px, -7px)' : 'none';
  });

  // Form submission handler
  const customsForm = document.getElementById('customsForm');
  if (customsForm) {
    customsForm.addEventListener('submit', (e) => {
      e.preventDefault();
      
      // Collect form data
      const formData = {
        declarationType: document.getElementById('declarationType').value,
        senderName: document.getElementById('senderName').value,
        receiverName: document.getElementById('receiverName').value,
        goodsDescription: document.getElementById('goodsDescription').value
      };

      // Show success message
      alert('Declaration submitted successfully!');
      customsForm.reset();
    });
  }

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth',
          block: 'start'
        });
      }
    });
  });
});
